Page MenuHome

World background window-projected image green channel missing on CPU rendering
Closed, ArchivedPublic

Description

System Information
Windows 7 Home Premium x64 ru
NVIDIA GeForce GTX 970 (10.18.13.5906 driver version 24.11.2015)

Bug is also present on another computer with Windows 7 Pro & NVIDIA Quadro FX.

Blender Version
Broken: 2.76b f337fea
Broken: 2.74 000dfc0
Worked: 2.73a bbf09d9

Short description of error
Background texture with WINDOW texture coordinates mapping has no green channel when rendering on CPU. GPU rendering works fine.
Render result is magenta-colored. Separated with "RGB Separate" green channel is black.

Wrong CPU render:

GPU render is OK:

Red and Blue channels are present:

Green channel is missing:

Exact steps for others to reproduce the error
-Switch viewport shading to RENDERED
or
-Render image.

Details

Type
Bug

Event Timeline

Roman Kiselevich (RKiselevich) raised the priority of this task from to Needs Triage by Developer.
Sergey Sharybin (sergey) triaged this task as Needs Information from User priority.

I can't really reproduce the issue. Please attach:

  • Detailed information about your CPU
  • system-info.txt generated by Help -> System Info

system-info.txt

Имя узла: COMPUTER
Название ОС: Microsoft Windows 7 Домашняя расширенная
Версия ОС: 6.1.7601 Service Pack 1 сборка 7601
Изготовитель ОС: Microsoft Corporation
Параметры ОС: Изолированная рабочая станция
Сборка ОС: Multiprocessor Free
Зарегистрированный владелец: USER
Зарегистрированная организация:
Код продукта: 00359-390-1875293-85674
Дата установки: 22.12.2015, 22:29:29
Время загрузки системы: 31.12.2015, 10:30:34
Изготовитель системы: Gigabyte Technology Co., Ltd.
Модель системы: B85M-D3H
Тип системы: x64-based PC
Процессор(ы): Число процессоров - 1.

[01]: Intel64 Family 6 Model 60 Stepping 3 GenuineIntel ~1880 МГц

Версия BIOS: American Megatrends Inc. FB, 19.06.2014
Папка Windows: C:\Windows
Системная папка: C:\Windows\system32
Устройство загрузки: \Device\HarddiskVolume1
Язык системы: ru;Русский
Язык ввода: ru;Русский
Часовой пояс: (UTC+10:00) Владивосток, Магадан (RTZ 9)
Полный объем физической памяти: 16 276 МБ
Доступная физическая память: 14 324 МБ
Виртуальная память: Макс. размер: 32 551 МБ
Виртуальная память: Доступна: 30 375 МБ
Виртуальная память: Используется: 2 176 МБ
Расположение файла подкачки: C:\pagefile.sys
Домен: WORKGROUP
Сервер входа в сеть: \\COMPUTER
Исправление(я): Число установленных исправлений - 205.

[01]: KB2849697
[02]: KB2849697
[03]: KB2849696
[04]: KB2849696
[05]: KB2841134
[06]: KB2841134
[07]: KB2670838
[08]: KB2830477
[09]: KB2592687
[10]: KB971033
[11]: KB2479943
[12]: KB2491683
[13]: KB2506014
[14]: KB2506212
[15]: KB2506928
[16]: KB2509553
[17]: KB2511455
[18]: KB2533552
[19]: KB2534111
[20]: KB2536275
[21]: KB2544893
[22]: KB2545698
[23]: KB2547666
[24]: KB2552343
[25]: KB2560656
[26]: KB2563227
[27]: KB2564958
[28]: KB2570947
[29]: KB2574819
[30]: KB2579686
[31]: KB2585542
[32]: KB2603229
[33]: KB2604115
[34]: KB2619339
[35]: KB2620704
[36]: KB2621440
[37]: KB2631813
[38]: KB2639308
[39]: KB2640148
[40]: KB2654428
[41]: KB2660075
[42]: KB2667402
[43]: KB2676562
[44]: KB2685811
[45]: KB2685813
[46]: KB2690533
[47]: KB2698365
[48]: KB2705219
[49]: KB2712808
[50]: KB2719857
[51]: KB2726535
[52]: KB2727528
[53]: KB2729094
[54]: KB2732059
[55]: KB2732487
[56]: KB2736422
[57]: KB2742599
[58]: KB2750841
[59]: KB2761217
[60]: KB2763523
[61]: KB2770660
[62]: KB2773072
[63]: KB2786081
[64]: KB2791765
[65]: KB2799926
[66]: KB2800095
[67]: KB2803821
[68]: KB2807986
[69]: KB2808679
[70]: KB2813347
[71]: KB2813430
[72]: KB2834140
[73]: KB2839894
[74]: KB2840631
[75]: KB2843630
[76]: KB2847927
[77]: KB2852386
[78]: KB2853952
[79]: KB2857650
[80]: KB2861698
[81]: KB2862152
[82]: KB2862330
[83]: KB2862335
[84]: KB2862973
[85]: KB2864202
[86]: KB2868038
[87]: KB2868116
[88]: KB2871997
[89]: KB2884256
[90]: KB2887069
[91]: KB2888049
[92]: KB2891804
[93]: KB2892074
[94]: KB2893294
[95]: KB2893519
[96]: KB2894844
[97]: KB2900986
[98]: KB2908783
[99]: KB2911501
[100]: KB2912390
[101]: KB2918077
[102]: KB2919469
[103]: KB2923545
[104]: KB2928562
[105]: KB2929733
[106]: KB2931356
[107]: KB2937610
[108]: KB2943357
[109]: KB2952664
[110]: KB2957189
[111]: KB2966583
[112]: KB2968294
[113]: KB2970228
[114]: KB2972100
[115]: KB2972211
[116]: KB2972280
[117]: KB2973112
[118]: KB2973201
[119]: KB2976897
[120]: KB2977292
[121]: KB2977728
[122]: KB2978120
[123]: KB2978742
[124]: KB2984972
[125]: KB2985461
[126]: KB2991963
[127]: KB2999226
[128]: KB3003743
[129]: KB3004361
[130]: KB3006121
[131]: KB3006137
[132]: KB3006625
[133]: KB3010788
[134]: KB3011780
[135]: KB3013531
[136]: KB3019215
[137]: KB3020338
[138]: KB3020369
[139]: KB3020370
[140]: KB3020388
[141]: KB3021674
[142]: KB3021917
[143]: KB3022777
[144]: KB3023215
[145]: KB3030377
[146]: KB3032655
[147]: KB3033889
[148]: KB3033890
[149]: KB3033929
[150]: KB3035126
[151]: KB3035132
[152]: KB3035583
[153]: KB3037574
[154]: KB3040272
[155]: KB3042058
[156]: KB3042553
[157]: KB3045685
[158]: KB3046017
[159]: KB3046269
[160]: KB3054476
[161]: KB3055642
[162]: KB3059317
[163]: KB3060716
[164]: KB3061518
[165]: KB3067903
[166]: KB3068708
[167]: KB3069392
[168]: KB3069762
[169]: KB3071756
[170]: KB3072630
[171]: KB3072633
[172]: KB3074543
[173]: KB3075226
[174]: KB3075249
[175]: KB3076949
[176]: KB3078601
[177]: KB3078667
[178]: KB3080079
[179]: KB3080149
[180]: KB3080446
[181]: KB3084135
[182]: KB3086255
[183]: KB3087039
[184]: KB3092601
[185]: KB3092627
[186]: KB3093513
[187]: KB3097966
[188]: KB3097989
[189]: KB3099862
[190]: KB3100213
[191]: KB3101722
[192]: KB3101746
[193]: KB3102429
[194]: KB3104002
[195]: KB3107998
[196]: KB3108371
[197]: KB3108381
[198]: KB3108669
[199]: KB3108670
[200]: KB3109094
[201]: KB3109103
[202]: KB3112148
[203]: KB3112343
[204]: KB976902
[205]: KB982018

Сетевые адаптеры: Число сетевых адаптеров - 1.

[01]: Realtek PCIe GBE Family Controller
      Имя подключения: Подключение по локальной сети
      DHCP включен:    Да
      DHCP сервер:     192.168.1.1
      IP-адрес
      [01]: 192.168.1.110
      [02]: fe80::ed77:f6be:2578:354b

GenuineIntel
Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz
CPUID 000306C3h

features:

 AMD64, Intel64
 IA MMX
 IA SSE
 IA SSE 2
 IA SSE 3
 IA Supplemental SSE 3
 IA SSE 4.1
 IA SSE 4.2
 IA AVX
 IA FMA
 IA AES Extensions
 CLFLUSH
 CMPXCHG8B
 CMPXCHG16B
 Conditional Move
 LZCNT
 MONITOR / MWAIT
 MOVBE
 PCLMULQDQ
 POPCNT
 RDTSCP
 SYSENTER / SYSEXIT

DEP, NX, EDB

 1 GB Page Size
 36-bit Page Size Extension
 CPL Qualified Debug Store
 Debug Trace Store
 Debugging Extension
 Fast Save & Restore
 Hyper-Threading Technology (HTT) - enabled
 Invariant Time Stamp Counter
 Local APIC On Chip
 Machine Check Architecture (MCA)
 Machine Check Exception (MCE)
 Memory Type Range Registers (MTRR)
 Model Specific Registers (MSR)
 Page Attribute Table (PAT)
 Page Global Extension
 Page Size Extension (PSE)
 Pending Break Event
 Physical Address Extension (PAE)
 Self-Snoop
 Time Stamp Counter (TSC)
 Virtual Machine Extensions (Vanderpool)
 Virtual Mode Extension
 x2APIC
 XSAVE / XRSTOR Extended States

On VirtualBox Windows 7x64 bug is NOT present.

Blender 2.76 (sub 0) System Information

Blender:

version 2.76 (sub 0), branch b'master', commit date b'2015-11-03' b'10:56', hash b'f337fea', b''
build date: b'Tue 11/03/2015', b'11:08 PM'
platform: b'Windows'
binary path: 'D:\\Programs\\Editors\\3D\\Blender\\blender-app.exe'
build cflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /MP /openmp '
build cxxflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /EHsc /MP /openmp '
build linkflags: b'/MACHINE:X64 /OPT:NOREF /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib'
build system: b'CMake'

Python:

version: 3.4.2 (default, Dec 7 2014, 18:21:18) [MSC v.1800 64 bit (AMD64)]
paths:
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\addons'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\startup'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\modules'
'D:\\Programs\\Editors\\3D\\Blender\\python34.zip'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\python\\DLLs'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\python\\lib'
'D:\\Programs\\Editors\\3D\\Blender'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\python'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\python\\lib\\site-packages'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\freestyle\\modules'
'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\addons\\modules'
'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\addons\\modules'

Directories:

scripts: ['D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts\\modules', 'D:\\Programs\\Editors\\3D\\Blender\\2.76\\scripts']
user scripts: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\datafiles\\'
config: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\config\\'
scripts : 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\'
autosave: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\autosave\\'
tempdir: 'C:\\Users\\USER\\AppData\\Local\\Temp\\blender_a02600\\'

FFmpeg:

avcodec: '55, 39, 101'
avdevice: '55, 5, 100'
avformat: '55, 19, 104'
avutil: '52, 48, 101'
swscale: ' 2, 5, 101'

SDL

Version: 2.0.3
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:

OpenColorIO: 1, 0, 8
OpenImageIO: 1, 4, 16
OpenShadingLanguage: 1, 5, 11

OpenGL

renderer: 'GeForce GTX 970/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.5.0 NVIDIA 359.06'
extensions:

		'GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture'
		'GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer'
		'GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture'
		'GL_ARB_blend_func_extended GL_ARB_buffer_storage'
		'GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control'
		'GL_ARB_color_buffer_float GL_ARB_compatibility'
		'GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth'
		'GL_ARB_compute_shader GL_ARB_compute_variable_group_size'
		'GL_ARB_conditional_render_inverted GL_ARB_copy_buffer'
		'GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output'
		'GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture'
		'GL_ARB_derivative_control GL_ARB_direct_state_access'
		'GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect'
		'GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced'
		'GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility'
		'GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility'
		'GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location'
		'GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions'
		'GL_ARB_fragment_layer_viewport GL_ARB_fragment_program'
		'GL_ARB_fragment_program_shadow GL_ARB_fragment_shader'
		'GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments'
		'GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB'
		'GL_ARB_geometry_shader4 GL_ARB_get_program_binary'
		'GL_ARB_get_texture_sub_image GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64'
		'GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel'
		'GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters'
		'GL_ARB_instanced_arrays GL_ARB_internalformat_query'
		'GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata'
		'GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind'
		'GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture'
		'GL_ARB_occlusion_query GL_ARB_occlusion_query2'
		'GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query'
		'GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite'
		'GL_ARB_post_depth_coverage GL_ARB_program_interface_query'
		'GL_ARB_provoking_vertex GL_ARB_query_buffer_object'
		'GL_ARB_robust_buffer_access_behavior GL_ARB_robustness'
		'GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects'
		'GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture'
		'GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops'
		'GL_ARB_shader_atomic_counters GL_ARB_shader_ballot'
		'GL_ARB_shader_bit_encoding GL_ARB_shader_clock'
		'GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote'
		'GL_ARB_shader_image_load_store GL_ARB_shader_image_size'
		'GL_ARB_shader_objects GL_ARB_shader_precision'
		'GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine'
		'GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod'
		'GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array'
		'GL_ARB_shading_language_420pack GL_ARB_shading_language_include'
		'GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer'
		'GL_ARB_sparse_texture GL_ARB_sparse_texture2'
		'GL_ARB_sparse_texture_clamp GL_ARB_stencil_texturing GL_ARB_sync'
		'GL_ARB_tessellation_shader GL_ARB_texture_barrier'
		'GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object'
		'GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range'
		'GL_ARB_texture_compression GL_ARB_texture_compression_bptc'
		'GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map'
		'GL_ARB_texture_cube_map_array GL_ARB_texture_env_add'
		'GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar'
		'GL_ARB_texture_env_dot3 GL_ARB_texture_filter_minmax'
		'GL_ARB_texture_float GL_ARB_texture_gather'
		'GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat'
		'GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two'
		'GL_ARB_texture_query_levels GL_ARB_texture_query_lod'
		'GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui'
		'GL_ARB_texture_stencil8 GL_ARB_texture_storage'
		'GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle'
		'GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2'
		'GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced'
		'GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix'
		'GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra'
		'GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit'
		'GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object'
		'GL_ARB_vertex_program GL_ARB_vertex_shader'
		'GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev'
		'GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers'
		'GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc'
		'GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform'
		'GL_EXT_blend_color GL_EXT_blend_equation_separate'
		'GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract'
		'GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test'
		'GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced'
		'GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit'
		'GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats'
		'GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object'
		'GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4'
		'GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4'
		'GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil'
		'GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object'
		'GL_EXT_point_parameters GL_EXT_polygon_offset_clamp'
		'GL_EXT_post_depth_coverage GL_EXT_provoking_vertex'
		'GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color'
		'GL_EXT_separate_shader_objects GL_EXT_separate_specular_color'
		'GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store'
		'GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2'
		'GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D'
		'GL_EXT_texture_array GL_EXT_texture_buffer_object'
		'GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc'
		'GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc'
		'GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp'
		'GL_EXT_texture_env_combine GL_EXT_texture_env_dot3'
		'GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax'
		'GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias'
		'GL_EXT_texture_mirror_clamp GL_EXT_texture_object'
		'GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB'
		'GL_EXT_texture_sRGB_decode GL_EXT_texture_storage'
		'GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2'
		'GL_EXT_vertex_array GL_EXT_vertex_array_bgra'
		'GL_EXT_vertex_attrib_64bit GL_EXT_import_sync_object'
		'GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat'
		'GL_KHR_context_flush_control GL_KHR_debug GL_KHR_no_error'
		'GL_KHR_robust_buffer_access_behavior GL_KHR_robustness'
		'GL_KTX_buffer_region GL_NV_bindless_multi_draw_indirect'
		'GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture'
		'GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent'
		'GL_NV_blend_square GL_NV_command_list GL_NV_compute_program5'
		'GL_NV_conditional_render GL_NV_conservative_raster'
		'GL_NV_conservative_raster_dilate GL_NV_copy_depth_to_color'
		'GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp'
		'GL_NV_draw_texture GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility'
		'GL_NV_explicit_multisample GL_NV_fence GL_NV_fill_rectangle'
		'GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color'
		'GL_NV_fragment_program GL_NV_fragment_program_option'
		'GL_NV_fragment_program2 GL_NV_fragment_shader_interlock'
		'GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage'
		'GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough'
		'GL_NV_gpu_program4 GL_NV_internalformat_sample_query'
		'GL_NV_gpu_program4_1 GL_NV_gpu_program5'
		'GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64'
		'GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent'
		'GL_NV_multisample_coverage GL_NV_multisample_filter_hint'
		'GL_NV_occlusion_query GL_NV_packed_depth_stencil'
		'GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2'
		'GL_NV_path_rendering GL_NV_path_rendering_shared_edge'
		'GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart'
		'GL_NV_register_combiners GL_NV_register_combiners2'
		'GL_NV_sample_locations GL_NV_sample_mask_override_coverage'
		'GL_NV_shader_atomic_counters GL_NV_shader_atomic_float'
		'GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64'
		'GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object'
		'GL_NV_texgen_reflection GL_NV_texture_barrier'
		'GL_NV_texture_compression_vtc GL_NV_texture_env_combine4'
		'GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_shader'
		'GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback'
		'GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory'
		'GL_NV_vertex_array_range GL_NV_vertex_array_range2'
		'GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory'
		'GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2'
		'GL_NV_vertex_program2_option GL_NV_vertex_program3'
		'GL_NV_viewport_array2 GL_NVX_conditional_render GL_NVX_gpu_memory_info'
		'GL_NVX_nvenc_interop GL_NV_shader_thread_group'
		'GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced'
		'GL_KHR_blend_equation_advanced_coherent GL_SGIS_generate_mipmap'
		'GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow'
		'GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control '

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 4

GLSL:
Maximum Varying Floats: 124
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 4096
Maximum Fragment Uniform Components: 4096
Maximum Vertex Image Units: 32
Maximum Fragment Image Units: 32
Maximum Pipeline Image Units: 192

Cycles

CPU device capabilities: SSE2 SSE3 SSE41 AVX AVX2

CUDA device capabilities:
GeForce GTX 970

		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z			64
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y			65535
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z			65535
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY			65536
		CU_DEVICE_ATTRIBUTE_WARP_SIZE			32
		CU_DEVICE_ATTRIBUTE_MAX_PITCH			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_CLOCK_RATE			1177500
		CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_GPU_OVERLAP			1
		CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT			13
		CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT			1
		CU_DEVICE_ATTRIBUTE_INTEGRATED			0
		CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY			1
		CU_DEVICE_ATTRIBUTE_COMPUTE_MODE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES			2048
		CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS			1
		CU_DEVICE_ATTRIBUTE_ECC_ENABLED			0
		CU_DEVICE_ATTRIBUTE_TCC_DRIVER			0
		CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE			3505000
		CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH			256
		CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE			1835008
		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR			2048
		CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT			2
		CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE			16384
		CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT			32
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH			134217728
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH			1048544
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MAJOR			5
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MINOR			2
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_STREAM_PRIORITIES_SUPPORTED			1
		CU_DEVICE_ATTRIBUTE_GLOBAL_L1_CACHE_SUPPORTED			0
		CU_DEVICE_ATTRIBUTE_LOCAL_L1_CACHE_SUPPORTED			0
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_MULTIPROCESSOR			98304
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_MULTIPROCESSOR			65536
		CU_DEVICE_ATTRIBUTE_MANAGED_MEMORY			1
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD			0
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD_GROUP_ID			0

OpenCL device capabilities:
Number of platforms: 2
Platform #0
Platform Name: Intel(R) OpenCL
Platform Vendor: Intel(R) Corporation
Platform Version: OpenCL 1.2
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_khr_spir cl_intel_exec_by_local_thread cl_khr_depth_images cl_khr_3d_image_writes cl_khr_fp64 cl_intel_dx9_media_sharing cl_khr_dx9_media_sharing cl_khr_d3d11_sharing cl_khr_gl_sharing
Number of devices: 1

		Device: #0
			Device Name: Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz
			Device Vendor: Intel(R) Corporation
			Device OpenCL C Version: OpenCL C 1.2 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.2 (Build 148)
			Device Extensions: cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_khr_spir cl_intel_exec_by_local_thread cl_khr_depth_images cl_khr_3d_image_writes cl_khr_fp64 cl_intel_dx9_media_sharing cl_khr_dx9_media_sharing cl_khr_d3d11_sharing cl_khr_gl_sharing

Platform #1
Platform Name: NVIDIA CUDA
Platform Vendor: NVIDIA Corporation
Platform Version: OpenCL 1.2 CUDA 7.5.0
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts
Number of devices: 1

		Device: #0
			Device Name: GeForce GTX 970
			Device Vendor: NVIDIA Corporation
			Device OpenCL C Version: OpenCL C 1.2 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.2 CUDA
			Device Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts

Bug is NOT present on 32-bit version

info for 32-bit:

Blender 2.76 (sub 0) System Information

Blender:

version 2.76 (sub 0), branch b'master', commit date b'2015-11-03' b'10:56', hash b'f337fea', b''
build date: b'Tue 11/03/2015', b'11:08 PM'
platform: b'Windows'
binary path: 'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\blender-app.exe'
build cflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /MP /openmp /arch:SSE2 /arch:SSE '
build cxxflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /EHsc /MP /openmp /arch:SSE2 /arch:SSE '
build linkflags: b'/MACHINE:IX86 /LARGEADDRESSAWARE /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib'
build system: b'CMake'

Python:

version: 3.4.2 (default, Dec 8 2014, 22:52:33) [MSC v.1800 32 bit (Intel)]
paths:
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\addons'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\startup'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\modules'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\python34.zip'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\python\\DLLs'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\python\\lib'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\python'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\python\\lib\\site-packages'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\freestyle\\modules'
'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\addons\\modules'
'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\addons\\modules'

Directories:

scripts: ['D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts\\modules', 'D:\\Download\\Programs\\Blender\\Bug\\blender-2.76b-windows32\\2.76\\scripts']
user scripts: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\datafiles\\'
config: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\config\\'
scripts : 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\'
autosave: 'C:\\Users\\USER\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\autosave\\'
tempdir: 'C:\\Users\\USER\\AppData\\Local\\Temp\\blender_a03772\\'

FFmpeg:

avcodec: '55, 39, 101'
avdevice: '55, 5, 100'
avformat: '55, 19, 104'
avutil: '52, 48, 101'
swscale: ' 2, 5, 101'

SDL

Version: 2.0.3
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:

OpenColorIO: 1, 0, 8
OpenImageIO: 1, 4, 16
OpenShadingLanguage: 1, 5, 11

OpenGL

renderer: 'GeForce GTX 970/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.5.0 NVIDIA 359.06'
extensions:

		'GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture'
		'GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer'
		'GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture'
		'GL_ARB_blend_func_extended GL_ARB_buffer_storage'
		'GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control'
		'GL_ARB_color_buffer_float GL_ARB_compatibility'
		'GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth'
		'GL_ARB_compute_shader GL_ARB_compute_variable_group_size'
		'GL_ARB_conditional_render_inverted GL_ARB_copy_buffer'
		'GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output'
		'GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture'
		'GL_ARB_derivative_control GL_ARB_direct_state_access'
		'GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect'
		'GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced'
		'GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility'
		'GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility'
		'GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location'
		'GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions'
		'GL_ARB_fragment_layer_viewport GL_ARB_fragment_program'
		'GL_ARB_fragment_program_shadow GL_ARB_fragment_shader'
		'GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments'
		'GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB'
		'GL_ARB_geometry_shader4 GL_ARB_get_program_binary'
		'GL_ARB_get_texture_sub_image GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64'
		'GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel'
		'GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters'
		'GL_ARB_instanced_arrays GL_ARB_internalformat_query'
		'GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata'
		'GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind'
		'GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture'
		'GL_ARB_occlusion_query GL_ARB_occlusion_query2'
		'GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query'
		'GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite'
		'GL_ARB_post_depth_coverage GL_ARB_program_interface_query'
		'GL_ARB_provoking_vertex GL_ARB_query_buffer_object'
		'GL_ARB_robust_buffer_access_behavior GL_ARB_robustness'
		'GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects'
		'GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture'
		'GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops'
		'GL_ARB_shader_atomic_counters GL_ARB_shader_ballot'
		'GL_ARB_shader_bit_encoding GL_ARB_shader_clock'
		'GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote'
		'GL_ARB_shader_image_load_store GL_ARB_shader_image_size'
		'GL_ARB_shader_objects GL_ARB_shader_precision'
		'GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine'
		'GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod'
		'GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array'
		'GL_ARB_shading_language_420pack GL_ARB_shading_language_include'
		'GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer'
		'GL_ARB_sparse_texture GL_ARB_sparse_texture2'
		'GL_ARB_sparse_texture_clamp GL_ARB_stencil_texturing GL_ARB_sync'
		'GL_ARB_tessellation_shader GL_ARB_texture_barrier'
		'GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object'
		'GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range'
		'GL_ARB_texture_compression GL_ARB_texture_compression_bptc'
		'GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map'
		'GL_ARB_texture_cube_map_array GL_ARB_texture_env_add'
		'GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar'
		'GL_ARB_texture_env_dot3 GL_ARB_texture_filter_minmax'
		'GL_ARB_texture_float GL_ARB_texture_gather'
		'GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat'
		'GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two'
		'GL_ARB_texture_query_levels GL_ARB_texture_query_lod'
		'GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui'
		'GL_ARB_texture_stencil8 GL_ARB_texture_storage'
		'GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle'
		'GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2'
		'GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced'
		'GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix'
		'GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra'
		'GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit'
		'GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object'
		'GL_ARB_vertex_program GL_ARB_vertex_shader'
		'GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev'
		'GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers'
		'GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc'
		'GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform'
		'GL_EXT_blend_color GL_EXT_blend_equation_separate'
		'GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract'
		'GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test'
		'GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced'
		'GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit'
		'GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats'
		'GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object'
		'GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4'
		'GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4'
		'GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil'
		'GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object'
		'GL_EXT_point_parameters GL_EXT_polygon_offset_clamp'
		'GL_EXT_post_depth_coverage GL_EXT_provoking_vertex'
		'GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color'
		'GL_EXT_separate_shader_objects GL_EXT_separate_specular_color'
		'GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store'
		'GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2'
		'GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D'
		'GL_EXT_texture_array GL_EXT_texture_buffer_object'
		'GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc'
		'GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc'
		'GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp'
		'GL_EXT_texture_env_combine GL_EXT_texture_env_dot3'
		'GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax'
		'GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias'
		'GL_EXT_texture_mirror_clamp GL_EXT_texture_object'
		'GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB'
		'GL_EXT_texture_sRGB_decode GL_EXT_texture_storage'
		'GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2'
		'GL_EXT_vertex_array GL_EXT_vertex_array_bgra'
		'GL_EXT_vertex_attrib_64bit GL_EXT_import_sync_object'
		'GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat'
		'GL_KHR_context_flush_control GL_KHR_debug GL_KHR_no_error'
		'GL_KHR_robust_buffer_access_behavior GL_KHR_robustness'
		'GL_KTX_buffer_region GL_NV_bindless_multi_draw_indirect'
		'GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture'
		'GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent'
		'GL_NV_blend_square GL_NV_command_list GL_NV_compute_program5'
		'GL_NV_conditional_render GL_NV_conservative_raster'
		'GL_NV_conservative_raster_dilate GL_NV_copy_depth_to_color'
		'GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp'
		'GL_NV_draw_texture GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility'
		'GL_NV_explicit_multisample GL_NV_fence GL_NV_fill_rectangle'
		'GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color'
		'GL_NV_fragment_program GL_NV_fragment_program_option'
		'GL_NV_fragment_program2 GL_NV_fragment_shader_interlock'
		'GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage'
		'GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough'
		'GL_NV_gpu_program4 GL_NV_internalformat_sample_query'
		'GL_NV_gpu_program4_1 GL_NV_gpu_program5'
		'GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64'
		'GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent'
		'GL_NV_multisample_coverage GL_NV_multisample_filter_hint'
		'GL_NV_occlusion_query GL_NV_packed_depth_stencil'
		'GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2'
		'GL_NV_path_rendering GL_NV_path_rendering_shared_edge'
		'GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart'
		'GL_NV_register_combiners GL_NV_register_combiners2'
		'GL_NV_sample_locations GL_NV_sample_mask_override_coverage'
		'GL_NV_shader_atomic_counters GL_NV_shader_atomic_float'
		'GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64'
		'GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object'
		'GL_NV_texgen_reflection GL_NV_texture_barrier'
		'GL_NV_texture_compression_vtc GL_NV_texture_env_combine4'
		'GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_shader'
		'GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback'
		'GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory'
		'GL_NV_vertex_array_range GL_NV_vertex_array_range2'
		'GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory'
		'GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2'
		'GL_NV_vertex_program2_option GL_NV_vertex_program3'
		'GL_NV_viewport_array2 GL_NVX_conditional_render GL_NVX_gpu_memory_info'
		'GL_NVX_nvenc_interop GL_NV_shader_thread_group'
		'GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced'
		'GL_KHR_blend_equation_advanced_coherent GL_SGIS_generate_mipmap'
		'GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow'
		'GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control '

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 4

GLSL:
Maximum Varying Floats: 124
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 4096
Maximum Fragment Uniform Components: 4096
Maximum Vertex Image Units: 32
Maximum Fragment Image Units: 32
Maximum Pipeline Image Units: 192

Cycles

CPU device capabilities: SSE2 SSE3 SSE41 AVX AVX2

CUDA device capabilities:
GeForce GTX 970

		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z			64
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y			65535
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z			65535
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY			65536
		CU_DEVICE_ATTRIBUTE_WARP_SIZE			32
		CU_DEVICE_ATTRIBUTE_MAX_PITCH			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_CLOCK_RATE			1177500
		CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_GPU_OVERLAP			1
		CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT			13
		CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT			1
		CU_DEVICE_ATTRIBUTE_INTEGRATED			0
		CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY			1
		CU_DEVICE_ATTRIBUTE_COMPUTE_MODE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES			2048
		CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS			1
		CU_DEVICE_ATTRIBUTE_ECC_ENABLED			0
		CU_DEVICE_ATTRIBUTE_TCC_DRIVER			0
		CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE			3505000
		CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH			256
		CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE			1835008
		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR			2048
		CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT			2
		CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE			16384
		CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT			32
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH			134217728
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH			1048544
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MAJOR			5
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MINOR			2
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_STREAM_PRIORITIES_SUPPORTED			1
		CU_DEVICE_ATTRIBUTE_GLOBAL_L1_CACHE_SUPPORTED			0
		CU_DEVICE_ATTRIBUTE_LOCAL_L1_CACHE_SUPPORTED			0
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_MULTIPROCESSOR			98304
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_MULTIPROCESSOR			65536
		CU_DEVICE_ATTRIBUTE_MANAGED_MEMORY			0
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD			0
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD_GROUP_ID			0

OpenCL device capabilities:
Number of platforms: 2
Platform #0
Platform Name: Intel(R) OpenCL
Platform Vendor: Intel(R) Corporation
Platform Version: OpenCL 1.2
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_khr_spir cl_intel_exec_by_local_thread cl_khr_depth_images cl_khr_3d_image_writes cl_khr_fp64 cl_intel_dx9_media_sharing cl_khr_dx9_media_sharing cl_khr_d3d11_sharing cl_khr_gl_sharing
Number of devices: 1

		Device: #0
			Device Name: Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz
			Device Vendor: Intel(R) Corporation
			Device OpenCL C Version: OpenCL C 1.2 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.2 (Build 148)
			Device Extensions: cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_khr_spir cl_intel_exec_by_local_thread cl_khr_depth_images cl_khr_3d_image_writes cl_khr_fp64 cl_intel_dx9_media_sharing cl_khr_dx9_media_sharing cl_khr_d3d11_sharing cl_khr_gl_sharing

Platform #1
Platform Name: NVIDIA CUDA
Platform Vendor: NVIDIA Corporation
Platform Version: OpenCL 1.2 CUDA 7.5.0
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts
Number of devices: 1

		Device: #0
			Device Name: GeForce GTX 970
			Device Vendor: NVIDIA Corporation
			Device OpenCL C Version: OpenCL C 1.2 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.2 CUDA
			Device Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts

Bug is NOT present on notebook:

Blender 2.76 (sub 0) System Information

Blender:

version 2.76 (sub 0), branch b'master', commit date b'2015-11-03' b'10:56', hash b'f337fea', b''
build date: b'Tue 11/03/2015', b'11:08 PM'
platform: b'Windows'
binary path: 'D:\\Programs\\Blender\\blender-app.exe'
build cflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /MP /openmp '
build cxxflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /EHsc /MP /openmp '
build linkflags: b'/MACHINE:X64 /OPT:NOREF /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib'
build system: b'CMake'

Python:

version: 3.4.2 (default, Dec 7 2014, 18:21:18) [MSC v.1800 64 bit (AMD64)]
paths:
'D:\\Programs\\Blender\\2.76\\scripts\\addons'
'D:\\Programs\\Blender\\2.76\\scripts\\startup'
'D:\\Programs\\Blender\\2.76\\scripts\\modules'
'D:\\Programs\\Blender\\python34.zip'
'D:\\Programs\\Blender\\2.76\\python\\DLLs'
'D:\\Programs\\Blender\\2.76\\python\\lib'
'D:\\Programs\\Blender'
'D:\\Programs\\Blender\\2.76\\python'
'D:\\Programs\\Blender\\2.76\\python\\lib\\site-packages'
'D:\\Programs\\Blender\\2.76\\scripts\\freestyle\\modules'
'D:\\Programs\\Blender\\2.76\\scripts\\addons\\modules'
'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\addons\\modules'

Directories:

scripts: ['D:\\Programs\\Blender\\2.76\\scripts\\modules', 'D:\\Programs\\Blender\\2.76\\scripts']
user scripts: 'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\datafiles\\'
config: 'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\config\\'
scripts : 'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\scripts\\'
autosave: 'C:\\Users\\киса\\AppData\\Roaming\\Blender Foundation\\Blender\\2.76\\autosave\\'
tempdir: 'C:\\Users\\BF06~1\\AppData\\Local\\Temp\\blender_a05760\\'

FFmpeg:

avcodec: '55, 39, 101'
avdevice: '55, 5, 100'
avformat: '55, 19, 104'
avutil: '52, 48, 101'
swscale: ' 2, 5, 101'

SDL

Version: 2.0.3
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:

OpenColorIO: 1, 0, 8
OpenImageIO: 1, 4, 16
OpenShadingLanguage: 1, 5, 11

OpenGL

renderer: 'Intel(R) HD Graphics 3000'
vendor: 'Intel'
version: '3.1.0 - Build 8.15.10.2696'
extensions:

		'GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_blend_color'
		'GL_EXT_abgr GL_EXT_texture3D GL_EXT_clip_volume_hint'
		'GL_EXT_compiled_vertex_array GL_SGIS_texture_edge_clamp'
		'GL_SGIS_generate_mipmap GL_EXT_draw_range_elements GL_SGIS_texture_lod'
		'GL_EXT_rescale_normal GL_EXT_packed_pixels GL_EXT_texture_edge_clamp'
		'GL_EXT_separate_specular_color GL_ARB_multitexture'
		'GL_EXT_texture_env_combine GL_EXT_bgra GL_EXT_blend_func_separate'
		'GL_EXT_secondary_color GL_EXT_fog_coord GL_EXT_texture_env_add'
		'GL_ARB_texture_cube_map GL_ARB_transpose_matrix GL_ARB_texture_env_add'
		'GL_IBM_texture_mirrored_repeat GL_EXT_multi_draw_arrays'
		'GL_NV_blend_square GL_ARB_texture_compression'
		'GL_3DFX_texture_compression_FXT1 GL_EXT_texture_filter_anisotropic'
		'GL_ARB_texture_border_clamp GL_ARB_point_parameters'
		'GL_ARB_texture_env_combine GL_ARB_texture_env_dot3'
		'GL_ARB_texture_env_crossbar GL_EXT_texture_compression_s3tc'
		'GL_ARB_shadow GL_ARB_window_pos GL_EXT_shadow_funcs'
		'GL_EXT_stencil_wrap GL_ARB_vertex_program GL_EXT_texture_rectangle'
		'GL_ARB_fragment_program GL_EXT_stencil_two_side'
		'GL_ATI_separate_stencil GL_ARB_vertex_buffer_object'
		'GL_EXT_texture_lod_bias GL_ARB_occlusion_query GL_ARB_fragment_shader'
		'GL_ARB_shader_objects GL_ARB_shading_language_100'
		'GL_ARB_texture_non_power_of_two GL_ARB_vertex_shader'
		'GL_NV_texgen_reflection GL_ARB_point_sprite'
		'GL_ARB_fragment_program_shadow GL_EXT_blend_equation_separate'
		'GL_ARB_depth_texture GL_ARB_texture_rectangle GL_ARB_draw_buffers'
		'GL_ARB_color_buffer_float GL_ARB_half_float_pixel GL_ARB_texture_float'
		'GL_ARB_pixel_buffer_object GL_EXT_framebuffer_object'
		'GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_occlusion_query2'
		'GL_EXT_draw_buffers2 GL_WIN_swap_hint GL_EXT_texture_sRGB'
		'GL_ARB_multisample GL_EXT_packed_float GL_EXT_texture_shared_exponent'
		'GL_ARB_texture_rg GL_ARB_texture_compression_rgtc'
		'GL_NV_conditional_render GL_EXT_texture_swizzle GL_ARB_sync'
		'GL_ARB_framebuffer_sRGB GL_EXT_packed_depth_stencil'
		'GL_ARB_depth_buffer_float GL_EXT_transform_feedback'
		'GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample'
		'GL_ARB_framebuffer_object GL_EXT_texture_array GL_EXT_texture_integer'
		'GL_ARB_map_buffer_range GL_EXT_texture_snorm'
		'GL_INTEL_performance_queries GL_ARB_copy_buffer GL_ARB_sampler_objects'
		'GL_NV_primitive_restart GL_ARB_seamless_cube_map'
		'GL_ARB_uniform_buffer_object GL_ARB_depth_clamp'
		'GL_ARB_vertex_array_bgra GL_ARB_shader_bit_encoding'
		'GL_ARB_draw_buffers_blend GL_ARB_texture_query_lod'
		'GL_ARB_explicit_attrib_location GL_ARB_draw_elements_base_vertex'
		'GL_ARB_instanced_arrays GL_ARB_fragment_coord_conventions'
		'GL_EXT_gpu_program_parameters GL_ARB_texture_buffer_object_rgb32'
		'GL_ARB_compatibility GL_ARB_texture_rgb10_a2ui'
		'GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_timer_query'
		'GL_ARB_vertex_array_object GL_ARB_provoking_vertex '

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 8

GLSL:
Maximum Varying Floats: 41
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 1024
Maximum Fragment Uniform Components: 1024
Maximum Vertex Image Units: 16
Maximum Fragment Image Units: 16
Maximum Pipeline Image Units: 16

Cycles

CPU device capabilities: SSE2 SSE3 SSE41 AVX

CUDA device capabilities:
GeForce GT 650M

		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z			64
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y			65535
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z			65535
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY			65536
		CU_DEVICE_ATTRIBUTE_WARP_SIZE			32
		CU_DEVICE_ATTRIBUTE_MAX_PITCH			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK			65536
		CU_DEVICE_ATTRIBUTE_CLOCK_RATE			405000
		CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_GPU_OVERLAP			1
		CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT			2
		CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT			1
		CU_DEVICE_ATTRIBUTE_INTEGRATED			0
		CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY			1
		CU_DEVICE_ATTRIBUTE_COMPUTE_MODE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH			4096
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES			2048
		CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS			1
		CU_DEVICE_ATTRIBUTE_ECC_ENABLED			0
		CU_DEVICE_ATTRIBUTE_TCC_DRIVER			0
		CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE			900000
		CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH			128
		CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE			262144
		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR			2048
		CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT			1
		CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE			16384
		CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT			32
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH			134217728
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH			1048544

OpenCL device capabilities:
Number of platforms: 2
Platform #0
Platform Name: Intel(R) OpenCL
Platform Vendor: Intel(R) Corporation
Platform Version: OpenCL 1.1
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_fp64 cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_intel_printf cl_ext_device_fission cl_intel_exec_by_local_thread cl_khr_gl_sharing cl_intel_dx9_media_sharing
Number of devices: 1

		Device: #0
			Device Name:        Intel(R) Core(TM) i3-2370M CPU @ 2.40GHz
			Device Vendor: Intel(R) Corporation
			Device OpenCL C Version: OpenCL C 1.1 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.1 (Build 30316.30328)
			Device Extensions: cl_khr_fp64 cl_khr_icd cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_byte_addressable_store cl_intel_printf cl_ext_device_fission cl_intel_exec_by_local_thread cl_khr_gl_sharing cl_intel_dx9_media_sharing

Platform #1
Platform Name: NVIDIA CUDA
Platform Vendor: NVIDIA Corporation
Platform Version: OpenCL 1.1 CUDA 4.2.1
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll
Number of devices: 1

		Device: #0
			Device Name: GeForce GT 650M
			Device Vendor: NVIDIA Corporation
			Device OpenCL C Version: OpenCL C 1.1 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.1 CUDA
			Device Extensions: cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll  cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64

Please attach long logs as files

OK, reloaded:



Same computer.
Ubuntu 15.10 x 64 live dvd.
Blender 2.76b x64.
Bug is NOT present.

Same computer.
Windows is loaded in safe mode.
Bug is present.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.
Sergey Sharybin (sergey) lowered the priority of this task from Normal to Needs Information from User.Jan 8 2016, 11:47 AM

Seems to be something to do with AVX2 instruction set on Windows. Please try the following:

  1. Open the command line tool
  2. Type: set CYCLES_CPU_NO_AVX2=1
  3. Run blender from that command line and see if the bug still present.

Yes, with set CYCLES_CPU_NO_AVX2=1 rendering works correctly, all colors and all channels are right.

Also rendering works fine with Windows 8.1 x64 loaded from some live cd. Bug is present on Windows 7 only.
Second computer with same problem works under Windows 7 and it seems has same or similar processor (i7 AFAIR).
I can give system-info.txt from second computer about two weeks later if need.

Du you have latest service pack and all the updates installed on the Windows 7?

Windows 6.1 build 7601 SP1 (Home Premium x64 ru) with all autoupdates insalled - bug is present.
Some days ago i reinstalled windows. With windows only (without any updates and even without any manufacturer drivers) bug is present too.
Second computer is in office where i work. Windows 7 x64 pofessional AFAIR with all autoupdates. Bug is present.

If need:
Info for reinstalled windows:

(Bug is present)
Info for Win 8 live cd: (Bug is NOT present)

Same issue here. Intel i7 4770k processor and Windows 7 64 SP1 (w/ latest updates).

If you multiply the green value by roughly -1.2 then it looks normal:

That's right. Green channel is not empty, it is negative.
To make all channels equal in render result with wite background image i use value -1.52552.


Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Jan 16 2016, 12:56 PM

In the latest blender build f81bc88 (Windows 64 bit Fri Jan 15 04:10:21 2016) render works correctly in both CPU and GPU modes.
On the day when i posted first message in this thread, bug was present in latest buid as well as in release.

Sergey Sharybin (sergey) closed this task as Archived.Jan 19 2016, 6:52 PM

Seems to be related on particular CPU and OS. We had some issues in the past about this, and real solution was made after update for Windows appeared.

it's probably possible to workaround something from Blender side, but for that we'll have to be able to reproduce the issue ourselves, which we can not do yet.

Also, if i understood @Roman Kiselevich (RKiselevich) correct, latest builds do not have the issue. It could either be due to some updates in Windows or maybe some different instruction flow in Cycles.

Will consider it a TODO for until someone from developers is able to reproduce the issue. For the time being artists who suffer from issues can set CYCLES_CPU_NO_AVX2 environment variable to workaround the issue.

Thanks for the report anyway.